Description

Now FLUIDTEMPLATE supports layoutRootPaths and partialRootPaths it would be a great addition if it also would support 
templateRootPaths with the same "Template Path Fallback logic" (#61361). Just like the ExtBase action controller does.

The template value/parameter is already in use so maybe we should go for templateName.

This brings the possibility to create a default Fluid based rendering setup that can easily be adjusted to use own templates by only
adding your own layoutRootPaths, partialRootPaths and templateRootPaths where you only add the template you wish to override.
And since the template fallback logic is there you can easily introduce new templates etc without the need to copy them to your own
template set.

For example:

lib.stdContent = FLUIDTEMPLATE
lib.stdContent {
    templateName = Default
    layoutRootPaths {
        10 = EXT:frontend/Resources/Private/Layouts
        20 = EXT:sitemodification/Resources/Private/Layouts
    }
    partialRootPaths {
        10 = EXT:frontend/Resources/Private/Partials
        20 = EXT:sitemodification/Resources/Private/Partials
    }
    templateRootPaths {
        10 = EXT:frontend/Resources/Private/Templates
        20 = EXT:sitemodification/Resources/Private/Templates
    }
    variable {
        foo = bar
    }
}

Related issues:
related to Core - Feature # 38732: Modernize Content Elements Under Review 2015-07-24
related to Core - Bug # 60338: Changing view format does not affect partial f... Resolved 2014-07-15

Associated revisions
Revision 2bc21962 - 2015-05-08 23:37 - Frans Saris
[FEATURE] Add TemplateRootPaths support to cObject FLUIDTEMPLATE

cObject FLUIDTEMPLATE is extended with `templateRootPaths` and
`templateName`. Now you can set a template name and when rendering the
template this name is used together with the set format to find the
template in the given templateRootPaths with the same fallback logic as
layoutRootPath and partialRootPath.

Resolves: #66111
Releases: master
Change-Id: I30d7fa63f63f818b5da31194bad1dccce95929e2
Reviewed-on: http://review.typo3.org/38331
Reviewed-by: Christian Kuhn <lolli@schwarzbu.ch>
Tested-by: Christian Kuhn <lolli@schwarzbu.ch>
Reviewed-by: Frank Nägler <typo3@naegler.net>
Tested-by: Frank Nägler <typo3@naegler.net>

History
#1 - 2015-03-29 14:09 - Gerrit Code Review
- Status changed from New to Under Review

Patch set 1 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at http://review.typo3.org/38331

#2 - 2015-03-29 14:14 - Gerrit Code Review

Patch set 2 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at http://review.typo3.org/38331

#3 - 2015-03-29 14:33 - Gerrit Code Review

Patch set 3 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at http://review.typo3.org/38331

#4 - 2015-03-31 12:50 - Markus Klein

As discussed on Slack the functionality should go into StandaloneView

#5 - 2015-05-01 08:25 - Gerrit Code Review

Patch set 4 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at http://review.typo3.org/38331

#6 - 2015-05-03 11:23 - Gerrit Code Review

Patch set 5 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at http://review.typo3.org/38331

#7 - 2015-05-03 11:31 - Gerrit Code Review

Patch set 6 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at http://review.typo3.org/38331

#8 - 2015-05-03 13:04 - Gerrit Code Review

Patch set 7 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at http://review.typo3.org/38331

#9 - 2015-05-04 10:18 - Gerrit Code Review

Patch set 8 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at http://review.typo3.org/38331

#10 - 2015-05-08 22:56 - Gerrit Code Review

Patch set 9 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at http://review.typo3.org/38331

#11 - 2015-05-09 00:00 - Frans Saris
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:2bc2196274a0c895fadcff01b5693fa67b16204e.

#12 - 2015-07-06 09:44 - Mathias Schreiber
- Category changed from Content Rendering to 7 Fluid CE
